Bug 1830337 - Masthead React prop warnings
Summary: Masthead React prop warnings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.5.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-01 16:38 UTC by Samuel Padgett
Modified: 2020-07-13 17:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.5.0-0.nightly-2020-04-30-122102 Cluster ID: 06af5872-a35f-4ec0-b2ba-6d5754b6e0a3 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:75.0) Gecko/20100101 Firefox/75.0
Last Closed: 2020-07-13 17:34:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5262 0 None closed Bug 1830337: Fix masthead toolbar warnings 2020-06-24 01:33:12 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:34:45 UTC

Description Samuel Padgett 2020-05-01 16:38:10 UTC
Console shows the two following warning from React when it loads.

Warning: Invalid aria prop `aria-lable` on <a> tag. For details, see https://fb.me/invalid-aria-prop
    in a (created by Context.Consumer)
    in Link (created by MastheadToolbarContents_)
    in PopoverBase (created by Tooltip)
    in Tooltip (created by MastheadToolbarContents_)
    in div (created by ToolbarItem)
    in ToolbarItem (created by MastheadToolbarContents_)
    in div (created by ToolbarGroup)
    in ToolbarGroup (created by MastheadToolbarContents_)
    in div (created by Toolbar)
    in Toolbar (created by MastheadToolbarContents_)
    in MastheadToolbarContents_ (created by ConnectFunction)
    in ConnectFunction (created by ConnectFunction)
    in ConnectFunction
    in Unknown
    in Unknown (created by ConnectFunction)
    in ConnectFunction (created by Firehose)
    in Firehose (created by ConnectFunction)
    in ConnectFunction
    in Unknown (created by ConnectFunction)
    in ConnectFunction
    in div (created by Context.Consumer)
    in header (created by Context.Consumer)
    in PageHeader
    in Unknown (created by App)
    in div (created by Page)
    in Page (created by App)
    in App (created by Context.Consumer)
    in Route
    in Switch
    in Router
    in Provider react-dom.development.js:545


Warning: Each child in a list should have a unique "key" prop.

Check the render method of `MastheadToolbarContents_`. See https://fb.me/react-warning-keys for more information.
    in ApplicationLauncherItem (created by MastheadToolbarContents_)
    in MastheadToolbarContents_ (created by ConnectFunction)
    in ConnectFunction (created by ConnectFunction)
    in ConnectFunction
    in Unknown
    in Unknown (created by ConnectFunction)
    in ConnectFunction (created by Firehose)
    in Firehose (created by ConnectFunction)
    in ConnectFunction
    in Unknown (created by ConnectFunction)
    in ConnectFunction
    in div (created by Context.Consumer)
    in header (created by Context.Consumer)
    in PageHeader
    in Unknown (created by App)
    in div (created by Page)
    in Page (created by App)
    in App (created by Context.Consumer)
    in Route
    in Switch
    in Router
    in Provider react.development.js:172

Comment 3 shahan 2020-05-07 06:29:45 UTC
did not see these two warning of masthead toolbar
4.5.0-0.nightly-2020-05-06-003431

Comment 4 errata-xmlrpc 2020-07-13 17:34:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.